This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 812744 - [as7] Add log file source for managed servers
[as7] Add log file source for managed servers
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-16 03:01 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:06:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-04-16 03:01:41 EDT
Managed servers in domain mode write their logfiles (by default) to

jboss-eap-6.0/domain/servers/<server-name>/log

e.g.

snert:/devel/jboss-eap-6.0/domain/servers/server-one/log hrupp$ ls -ls
total 20
 4 -rw-r--r--  1 hrupp  admin   2488 13 Apr 13:51 boot.log
16 -rw-r--r--  1 hrupp  admin  14897 13 Apr 12:47 server.log

This needs to be enabled in the plugin properties
Comment 1 Heiko W. Rupp 2012-04-16 15:11:48 EDT
master 1d565e6

In fact this was already there, but refactoring of path properties added a double 'domain' in it.
Also the code change now does not require that the log file already exists on discovery, which is
true for manged servers that are defined, but not yet started.
Comment 2 Heiko W. Rupp 2013-09-01 06:06:38 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.